Name:           libXres
Version:        1.2.0
Release:        7
License:        MIT
Summary:        X-Resource extension client library
URL:            https://www.x.org
Source0:        https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2
BuildRequires: xorg-x11-util-macros autoconf automake libtool libXext-devel libX11-devel
Requires:       libX11 >= 1.5.99.902

%description
X-Resource is an extension that allows a client to query
the X server about its usage of various resources.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -ivf
%configure
%make_build

%install
%make_install
%delete_la

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%doc AUTHORS 
%license COPYING
%{_libdir}/*.so.*

%files          devel
%defattr(-,root,root)
%{_includedir}/X11/extensions/*.h
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/*.pc

%files          help
%defattr(-,root,root)
%{_mandir}/man3/*.3*

%changelog
* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.2.0-7
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change the directory of the license file

* Thu Sep 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.2.0-6
- Package init
